> For a complete page index, fetch https://developer.close.com/llms.txt

# Create an email template

POST https://api.close.com/api/v1/email_template/
Content-Type: application/json

Reference: https://developer.close.com/api/resources/email-templates/create

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required)

## Request

### Query parameters

- `_fields` (string, optional) — Comma-separated list of fields to include in the response.

### Body (application/json)

- `any`

## Response

### 200

Successful response

## Examples

**Request**

```json
{
  "attachments": [
    {
      "content_type": "image/jpeg",
      "filename": "image.jpg",
      "size": 1108447,
      "url": "https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/"
    }
  ],
  "body": "test inbound body of an email.",
  "is_shared": false,
  "name": "inbound 1",
  "subject": "test inbound subject"
}
```

**Response**

```json
{
  "attachments": [
    {
      "content_id": null,
      "content_type": "image/jpeg",
      "filename": "image.jpg",
      "inline_only": false,
      "size": 1108447,
      "url": "https://app.close.com/go/file/persisted/orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH/email_template/tmpl_bTl0wRVLuzCpYkJnLX76KcbuYFpa4YEJVKNE19RGHUq/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/"
    }
  ],
  "body": "test inbound body of an email.",
  "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2013-02-20T09:20:14.229000+00:00",
  "date_updated": "2013-02-20T09:20:14.229000+00:00",
  "id": "tmpl_bTl0wRVLuzCpYkJnLX76KcbuYFpa4YEJVKNE19RGHUq",
  "is_archived": false,
  "is_shared": false,
  "name": "inbound 1",
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "subject": "test inbound subject",
  "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "used_by_sequences": []
}
```

**SDK Code**

```python
import requests

url = "https://api.close.com/api/v1/email_template/"

payload = {
    "attachments": [
        {
            "content_type": "image/jpeg",
            "filename": "image.jpg",
            "size": 1108447,
            "url": "https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/"
        }
    ],
    "body": "test inbound body of an email.",
    "is_shared": False,
    "name": "inbound 1",
    "subject": "test inbound subject"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript
const url = 'https://api.close.com/api/v1/email_template/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"attachments":[{"content_type":"image/jpeg","filename":"image.jpg","size":1108447,"url":"https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/"}],"body":"test inbound body of an email.","is_shared":false,"name":"inbound 1","subject":"test inbound subject"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/email_template/"

	payload := strings.NewReader("{\n  \"attachments\": [\n    {\n      \"content_type\": \"image/jpeg\",\n      \"filename\": \"image.jpg\",\n      \"size\": 1108447,\n      \"url\": \"https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/\"\n    }\n  ],\n  \"body\": \"test inbound body of an email.\",\n  \"is_shared\": false,\n  \"name\": \"inbound 1\",\n  \"subject\": \"test inbound subject\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/email_template/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"attachments\": [\n    {\n      \"content_type\": \"image/jpeg\",\n      \"filename\": \"image.jpg\",\n      \"size\": 1108447,\n      \"url\": \"https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/\"\n    }\n  ],\n  \"body\": \"test inbound body of an email.\",\n  \"is_shared\": false,\n  \"name\": \"inbound 1\",\n  \"subject\": \"test inbound subject\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/email_template/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"attachments\": [\n    {\n      \"content_type\": \"image/jpeg\",\n      \"filename\": \"image.jpg\",\n      \"size\": 1108447,\n      \"url\": \"https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/\"\n    }\n  ],\n  \"body\": \"test inbound body of an email.\",\n  \"is_shared\": false,\n  \"name\": \"inbound 1\",\n  \"subject\": \"test inbound subject\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/email_template/', [
  'body' => '{
  "attachments": [
    {
      "content_type": "image/jpeg",
      "filename": "image.jpg",
      "size": 1108447,
      "url": "https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/"
    }
  ],
  "body": "test inbound body of an email.",
  "is_shared": false,
  "name": "inbound 1",
  "subject": "test inbound subject"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/email_template/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"attachments\": [\n    {\n      \"content_type\": \"image/jpeg\",\n      \"filename\": \"image.jpg\",\n      \"size\": 1108447,\n      \"url\": \"https://app.close.com/go/file/temporary/user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk/1Zx0AlY1DwBXzKKrVwpAoj/image.jpg/\"\n    }\n  ],\n  \"body\": \"test inbound body of an email.\",\n  \"is_shared\": false,\n  \"name\": \"inbound 1\",\n  \"subject\": \"test inbound subject\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```